Skip to main content
POST
Create cluster actions

Authorizations

Authorization
string
header
required

Path Parameters

account_id
string
required

Account ID

cluster_id
string
required

Cluster ID

Body

application/json

Actions to create

action_type
enum<string>
required
Available options:
terminate_pod,
disable_outbound,
label_pod
Example:

"terminate_pod"

target_pod_name
string
required

Name of the pod to act on

target_namespace
string
required

Namespace of the pod

parameters
object

Action parameters. Required for label_pod, which must provide labels as a non-empty map of string keys to string values conforming to Kubernetes label syntax.

Response

Created

id
string

Action ID, prefixed with ca-

cluster_id
string
account_id
string
action_type
enum<string>
Available options:
terminate_pod,
disable_outbound,
label_pod
Example:

"terminate_pod"

status
enum<string>

Execution status of the action

Available options:
Pending,
Executed,
Failed
Example:

"Pending"

target_pod_name
string
target_namespace
string
parameters
object

Action parameters. labels for label_pod, quarantine_id for disable_outbound.

result
string

Message reported by rad-sync after execution; the Kubernetes error when the action failed.

created_by
string

Identity that created the action

created_at
string
updated_at
string
deleted_at
string